VSphereClusterIdentity [infrastructure.cluster.x-k8s.io/v1beta1]
VSphereClusterIdentity is a cluster-scoped credential that lets multiple VSphereCluster objects across different namespaces share one set of vCenter credentials, gated by namespace selectors. It is an alternative to referencing a Secret directly from VSphereCluster.spec.identityRef.
Workflows documented in this guide use identityRef.kind: Secret and provision credentials per workload cluster; this resource is shown here for completeness for operators who need to share credentials across clusters.
- Description
- VSphereClusterIdentity defines the account to be used for reconciling clusters.
- Type
object
Specification
.spec
- Description
- VSphereClusterIdentitySpec contains a secret reference and a group of allowed namespaces.
- Type
object
.spec.allowedNamespaces
- Description
- AllowedNamespaces is used to identify which namespaces are allowed to use this account. Namespaces can be selected with a label selector. If this object is nil, no namespaces will be allowed
- Type
object
.spec.allowedNamespaces.selector
- Description
- Selector is a standard Kubernetes LabelSelector. A label query over a set of resources.
- Type
object
.spec.allowedNamespaces.selector.matchExpressions
- Description
- matchExpressions is a list of label selector requirements. The requirements are ANDed.
- Type
array
.spec.allowedNamespaces.selector.matchExpressions[]
- Description
- A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
- Type
object- Required
keyoperator
.spec.allowedNamespaces.selector.matchExpressions[].values
- Description
- values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
- Type
array
.spec.allowedNamespaces.selector.matchExpressions[].values[]
- Type
string
.spec.allowedNamespaces.selector.matchLabels
- Description
- matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
- Type
object
.status
- Description
- VSphereClusterIdentityStatus contains the status of the VSphereClusterIdentity.
- Type
object
.status.conditions
- Description
- Conditions defines current service state of the VSphereClusterIdentity.
- Type
array
.status.conditions[]
- Description
- Condition defines an observation of a Cluster API resource operational state.
- Type
object- Required
lastTransitionTimestatustype
.status.v1beta2
- Description
- v1beta2 groups all the fields that will be added or modified in VSphereClusterIdentity's status with the V1Beta2 version.
- Type
object
.status.v1beta2.conditions
- Description
- conditions represents the observations of a VSphereClusterIdentity's current state. Known condition types are Available and Paused.
- Type
array
.status.v1beta2.conditions[]
- Description
- Condition contains details for one aspect of the current state of this API Resource.
- Type
object- Required
lastTransitionTimemessagereasonstatustype
API Endpoints
The following API endpoints are available:
/apis/infrastructure.cluster.x-k8s.io/v1beta1/vsphereclusteridentitiesDELETE: delete collection of VSphereClusterIdentityGET: list objects of kind VSphereClusterIdentityPOST: create a new VSphereClusterIdentity
/apis/infrastructure.cluster.x-k8s.io/v1beta1/vsphereclusteridentities/{name}DELETE: delete the specified VSphereClusterIdentityGET: read the specified VSphereClusterIdentityPATCH: partially update the specified VSphereClusterIdentityPUT: replace the specified VSphereClusterIdentity
/apis/infrastructure.cluster.x-k8s.io/v1beta1/vsphereclusteridentities/{name}/statusGET: read status of the specified VSphereClusterIdentityPATCH: partially update status of the specified VSphereClusterIdentityPUT: replace status of the specified VSphereClusterIdentity
/apis/infrastructure.cluster.x-k8s.io/v1beta1/vsphereclusteridentities
- HTTP method
DELETE- Description
- delete collection of VSphereClusterIdentity
- HTTP responses
- HTTP method
GET- Description
- list objects of kind VSphereClusterIdentity
- HTTP responses
- HTTP method
POST- Description
- create a new VSphereClusterIdentity
- Query parameters
- Body parameters
- HTTP responses
/apis/infrastructure.cluster.x-k8s.io/v1beta1/vsphereclusteridentities/{name}
- HTTP method
DELETE- Description
- delete the specified VSphereClusterIdentity
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified VSphereClusterIdentity
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified VSphereClusterIdentity
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified VSphereClusterIdentity
- Query parameters
- Body parameters
- HTTP responses
/apis/infrastructure.cluster.x-k8s.io/v1beta1/vsphereclusteridentities/{name}/status
- HTTP method
GET- Description
- read status of the specified VSphereClusterIdentity
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified VSphereClusterIdentity
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified VSphereClusterIdentity
- Query parameters
- Body parameters
- HTTP responses